#a set of pre-defined triggers!
import pygame as p
import level as l


class divine_message(l.trigger):
    """The gods give the player information if he passes over this rect"""
    def __init__(self,x,y,width,height,text):
        l.trigger.__init__(self,x,y,width,height)
        self.text=text
    
    def update(self,level):
        if(self.single_on(level.player)):
            level.text=self.text

class win_trigger(l.trigger):
    def __init__(self,x,y,width,height):
        l.trigger.__init__(self,x,y,width,height)
    
    def update(self, level):
        if(self.single_on(level.player)):
            level.defeat=False
            level.stop()


class lose_trigger(l.trigger):
    def __init__(self,x,y,width,height):
        l.trigger.__init__(self,x,y,width,height)

    def update(self, level):
        if(self.single_on(level.player)):
            level.defeat=True
            level.stop()

class wake_trigger(l.trigger):
    def __init__(self,x,y,width,height):
        l.trigger.__init__(self,x,y,width,height)
    
    def update(self,level):
        if(self.single_on(level.player)):
            for baddie in level.baddie_group.sprites():
                baddie.wake()



    
            
