import cutscene as c
import pygame as p

def Run_Scene(screen):
    #a font
    Font=p.font.Font("DejaVuSans.ttf",13)

    #the scene itself
    s=c.CutScene(screen,40)
    
    #the background
    Bg=c.background("lose_square.png",screen)
    
    #characters
    
    Wibbles =c.actor("wibbles_walk.png","wibbles.png",0,0,0.2,s,Font)
    Baddie_boss = c.actor("hammer_crook_walk.png","hammer_crook.png",320,0,0.1,s,Font)
    Baddie1= c.actor("hammer_crook_walk.png","hammer_crook.png",0,240,0.1,s,Font)
    Baddie2= c.actor("hammer_crook_walk.png","hammer_crook.png",0,0,0.1,s,Font)
    God = c.actor("god.png","god.png",0,0,0.0,s,Font)

    #load everybody
    s.set_bg(Bg)
    Wibbles.relocate(320-(Wibbles.rect.width/2),480) #starts outside
    s.add_character(Wibbles)
    
    while(s.running==True):
        s.AutomatedStuff()

        if(s.time_is(0)):
            Wibbles.walk_to(320-(Wibbles.rect.width/2),240-(Wibbles.rect.height/2),s.cycles(1500))

        if(s.time_is(2000)):
            Wibbles.say("God!",s,s.cycles(500))
        if(s.time_is(3500)):
            Wibbles.say("GOD! Where are you?",s,s.cycles(2000))
        if(s.time_is(5000)):
            Baddie_boss.relocate(320-(Baddie_boss.rect.width),1)
            Baddie1.relocate(1,240-(Baddie1.rect.height/2))
            Baddie2.relocate(640,240-(Baddie2.rect.height/2))
            
            Baddie_boss.walk_to(Baddie_boss.rect.left+1,115,s.cycles(1000))
            Baddie1.walk_to(190,Baddie1.rect.top+1,s.cycles(1000))
            Baddie2.walk_to(Wibbles.rect.left+155,Baddie2.rect.top,s.cycles(1000))
            

            s.add_character(Baddie_boss)
            s.add_character(Baddie2)
            s.add_character(Baddie1)

        if(s.time_is(6000)):
            Wibbles.say("You cannot hurt\nme, hammer fiends!\nGod himself protects me!" ,s,s.cycles(3000))
        if(s.time_is(9000)):
            Wibbles.say("God, show yourself\nand aid me!",s,s.cycles(3000))
        if(s.time_is(14000)):

            God.relocate(320-(God.rect.width/2),75)
            God.say("*plop*",s,s.cycles(1000))
        if(s.time_is(15000)):
            God.relocate(God.rect.left,25)
            s.add_character(God)
        if(s.time_is(15200)):
            God.say("We!",s,s.cycles(800))
        if(s.time_is(16000)):
            s.remove_character(God)
            God.relocate(God.rect.left,75)
            God.say("*plop*",s,s.cycles(1000))
            
            Baddie_boss.say("Die! Evil canine screwdriver!\nWe don't care for gods.",s,s.cycles(3000))
            
        if(s.time_is(19500)):
            Baddie1.walk_to(Wibbles.rect.left,Wibbles.rect.top,s.cycles(500))
            Baddie2.walk_to(Wibbles.rect.left,Wibbles.rect.top,s.cycles(500))
        
        if(s.time_is(20000)):
            s.end()
         
