import level as l
import pygame as p
import triggers as t




def Run_Level(screen):
    #Level itself
    h=l.LevelHandler(screen,40)
    
    #Background
    h.set_bg(l.background("Level1.png",screen))
    
    #Player
    h.set_player(l.player("wibbles.png","wibbles_walk.png",490,240,0.2))

    #Solid stuff
    h.add_wall(l.invisible_wall(546,0,94,480))
    
    #God's messages
    h.add_event(t.divine_message(500,220,140,47,"Wibbles! Wigi Wak!\nMi e ti"))
    h.add_event(t.divine_message(0,214,82,62,"Wa wa wa Wibbles!\nMi e ti"))
    h.add_event(t.divine_message(216,0,58,62,"We! Ka e Hak!\nWigi wak"))
    h.add_event(t.divine_message(208,414,67,66,"We! Ka e Hik.\nMi e Wak"))

    #triggers
    h.add_event(t.win_trigger(0,214,35,62))
    h.add_event(t.lose_trigger(216,0,58,31))
    h.add_event(t.lose_trigger(208,444,67,36))
    
    
    
                
   
    while(h.running==True):
        h.AutomaticStuff()


    if(h.defeat==True):
        return 0
    return 1
        
