import pygame as p
import text as t

class menu_option(t.TextObject):
    """This will be one menu option."""
    def __init__(self,number,text, font, x, y, func):
        self.function=func #does it work like this?
        self.num=number
        t.TextObject.__init__(self,text,font,x,y,(255,255,255),True)
        self.image.set_alpha(255)
    def select(self):
        self.image.set_alpha(126)
    def deselect(self):
        self.image.set_alpha(255)

    def run(self,screen):
        self.function(screen)

    def update(self,choice):
        if(choice==self.num):
            self.select()
        else:
            self.deselect()


class menu:
     """will make pretty menus"""
     def __init__(self,screen):
         self.Clock=p.time.Clock()
         self.title=""
         self.screen=screen
         self.options=0
         self.selected=0
         self.font_option=p.font.Font("DejaVuSans.ttf",30)
         self.font_title=p.font.SysFont("DejaVuSans.ttf",40)
         self.titlesurf=t.TextObject(self.title,self.font_title,300,100,(255,255,255),True)
         self.option_group=p.sprite.Group(self.titlesurf)

     def run(self):
         for option in self.option_group.sprites():
             if(option!=self.titlesurf):
                 if(option.num==self.selected):
                     option.run(self.screen)
     def set_title(self,title):
         self.titlesurf.render_text(title)
         self.titlesurf.rect.left=320-(self.titlesurf.image.get_width()/2)
         self.title=title
         
     def add_menu_option(self,text,function):
         self.option_group.add(menu_option(self.options,text,self.font_option,200,150+(self.options*(self.font_option.get_height()+4)),function))
         self.options+=1
     
     def update(self):
         self.option_group.update(self.selected)
     def draw(self):
         self.screen.fill((0,0,0))
         self.option_group.draw(self.screen)
     def event_loop(self):
         for event in p.event.get():
             if(event.type==p.KEYDOWN):
                 if(event.key==p.K_DOWN):
                     self.selected+=1
                     if(self.selected>=self.options):
                         self.selected=0
                 if(event.key==p.K_UP):
                     self.selected-=1
                     if(self.selected<0):
                         self.selected=self.options-1
                 if(event.key==p.K_RETURN):
                     self.run()
                 if(event.key==p.K_ESCAPE):
                     p.quit() #bad solution
                 if(event.key==p.K_F12):
                     self.add_menu_option("Easter Egg",ee)
             if(event.type==p.QUIT):
                 p.quit()

     def AutomaticStuff(self):
         self.Clock.tick(40)
         self.event_loop()
         self.update()
         self.draw()
         p.display.flip()


def ee(screen):
    txt=t.TextObject("If you found this, You rock!\n\n/Adrian Wennstrom, Father of Wibbles",p.font.SysFont("arial",13),200,200,(255,255,255),True)
    screen.fill((0,0,0))
    screen.blit(txt.image,txt.rect)
    p.display.flip()
    while(True):
        pass
        
    
                               

