import level as l
import pygame as p
import triggers as t

class level_trigger(l.trigger):
    def __init__(self,a,b,c,d,level):
        l.trigger.__init__(self,250,0,130,90)
        self.wake=[a,b,c,d]
        self.god=[]
        self.god.append(t.divine_message(0,0,100,480,"Wigi Hak!"))
        self.god.append(t.divine_message(150,0,100,83,""))
        self.god.append(t.divine_message(250,0,130,83,""))
        self.god.append(t.divine_message(380,0,269,83,"Wigi Wak!"))
        self.god.append(t.divine_message(150,83,100,50,""))
        self.god.append(t.divine_message(380,83,269,50,"Wigi Hak!"))
        self.god.append(t.divine_message(150,133,100,83,""))
        self.god.append(t.divine_message(250,133,130,83,""))
        self.god.append(t.divine_message(380,133,269,83,"Wigi Hak!"))
        self.god.append(t.divine_message(150,216,100,50,""))
        self.god.append(t.divine_message(380,216,269,50,"Wigi Hak!"))
        self.god.append(t.divine_message(150,266,100,83,""))
        self.god.append(t.divine_message(250,266,130,83,""))
        self.god.append(t.divine_message(380,266,269,83,"Wigi Hak!"))
        self.god.append(t.divine_message(150,349,100,50,""))
        self.god.append(t.divine_message(380,349,269,50,"Wigi Hak"))
        self.god.append(t.divine_message(150,399,100,83,""))
        self.god.append(t.divine_message(250,399,130,83,""))
        self.god.append(t.divine_message(380,399,269,83,"Wigi Hak"))

        level.add_event(self.god)
        self.num=0

    def next_setup(self,level):
        self.num+=1
        if(self.num==1):
            self.rect=self.god[1].rect
            self.width=100
            self.god[2].text="Wigi Wak!"
            self.wake[3].rect=self.god[5].rect
        if(self.num==2):
            self.rect=self.god[17].rect
            self.wake[3].rect=self.god[4].rect
            self.god[1].text=self.god[2].text="Wigi Wik!"
            self.god[3].text=self.god[5].text=self.god[8].text=self.god[10].text=self.god[13].text=self.god[15].text="Wigi Hik! Wibbles!"
            self.god[18].text=self.god[17].text="Wigi Wak!"
        if(self.num==3):
            self.rect=self.god[7].rect
            self.wake[1].rect=self.god[4].rect
            self.wake[3].rect=self.god[15].rect
            self.god[16].text=self.god[14].text=self.god[11].text=self.god[9].text="Wa Wibbly-Wobbly!!\nWigi Hak"
            self.god[6].text=self.god[7].text="Mi ka wedi wigi\nWik."
        if(self.num==4):
            self.rect=self.god[1].rect
            self.wake[1].rect=self.god[9].rect
            self.wake[3].rect=self.god[10].rect
            self.god[8].text=self.god[5].text="Wibbles, Wigi Hak!"
            self.god[3].text=self.god[2].text="Wigi Wak."
        if(self.num==5):
            level.event_group.remove(self.wake[0]) #Now you can reach your destination!
            self.wake[1].rect=self.god[7].rect
            self.wake[3].rect=self.god[17].rect
            self.rect= self.god[18].rect
            self.god[1].text=self.god[4].text=self.god[6].text=self.god[11].text=self.god[14].text=self.god[9].text="Wigi Hik!"
            self.god[16].text="Wigi Wak"
            self.god[0].text="Wa! Wigi Hak, gik e ti."
            
            
            #self.god[1].text="Wa Wa! Wigi Wik!"
            #self.god[2].text="Wigi Wik!"
            #self.god[3].text
    def update(self,level):
        if(self.single_on(level.player)):
              self. next_setup(level)
            
        

        
          






def Run_Level(screen):
    Font=p.font.Font("DejaVuSans.ttf",13)
    #level
    h=l.LevelHandler(screen,40)

    #player
    Player=l.player("wibbles.png","wibbles_walk.png",580,240,0.2)

    #Background
    h.set_bg(l.background("parliament1.png",screen))

    #solids
    a=p.image.load("concrete1.png").convert()
    b=p.image.load("concrete2.png").convert()
    Wall1=l.solid(250,82,a)
    Wall2=l.solid(250,215,a)
    Wall3=l.solid(250,347,a)
    Wall4=l.solid(100,0,b)

    #triggers
    h.add_event(t.win_trigger(0,0,100,100))
    Wake1=t.wake_trigger(0,397,150,83)

    Wake2=t.wake_trigger(250,132,130,90)
    Wake3=t.wake_trigger(250,265,130,90)
    Wake4=t.wake_trigger(250,397,130,90)

    master=level_trigger(Wake1,Wake2,Wake3,Wake4,h)

    #baddies
    Guard1=l.baddie(40,520,"hammer_crook.png","hammer_crook_walk.png",0.1,1)
    Guard2=l.baddie(640,240,"hammer_crook.png","hammer_crook_walk.png",0.1,1)
    
    
    #loading stuff
    h.set_player(Player)
    h.add_solid(Wall1)
    h.add_solid(Wall2)
    h.add_solid(Wall3)
    h.add_solid(Wall4)
    h.add_baddie(Guard1)
    h.add_baddie(Guard2)
    h.add_event(Wake1)
    h.add_event(Wake2)
    h.add_event(Wake3)
    h.add_event(Wake4)
    h.add_event(master)
    while(h.running==True):
        h.AutomaticStuff()
    
    if(h.defeat==True):
        return 0
    return 1
