import level as l
import pygame as p
import triggers as t

def Run_Level(screen):
    #font
    Font=p.font.Font("DejaVuSans.ttf",13)
    #level itself
    s=l.LevelHandler(screen,40)
    s.set_bg(l.background("parliament2.png",screen))
    s.set_player(l.player("wibbles.png","wibbles_walk.png",110,230,0.2))
    
    Baddie1=l.baddie(255,130,"hammer_crook.png","hammer_crook_walk.png",0.1,50)
    Baddie2=l.baddie(400,340,"hammer_crook.png","hammer_crook_walk.png",0.1,45)

    s.add_baddie(Baddie1)
    s.add_baddie(Baddie2)
    
    s.add_event(t.wake_trigger(440,200,40,40)) #it's a trap!
    s.add_event(t.win_trigger(488,200,50,50)) #that's a winner

    s.add_event(t.divine_message(100,220,20,20,"Surprise! I do speak screwdriverish!\nBe careful now, the guards are sleeping"))
    s.add_event(t.divine_message(330,0,10,480,"Hey, watch out they might have set out traps!\njust grab that thing on the floor will you?"))
    s.add_wall(l.invisible_wall(0,95,640,3))
    s.add_wall(l.invisible_wall(0,380,640,3))
    s.add_wall(l.invisible_wall(97,0,3,480))
    s.add_wall(l.invisible_wall(560,0,3,480))

    while(s.running==True):
        s.AutomaticStuff()

    if(s.defeat==True):
        return 0
    return 1
